<?
//Comprobamos si han enviado el formulario y guardo sus preferencias
if(isset($_POST["color"])){
      $color = $_POST["color"];
      setcookie("color", $color, time() + (3600));
}else{
   //Si no envian formulario compruebo si está definida la cookie
   if (isset($_COOKIE["color"])){
      $color = $_COOKIE["color"];
   }
}
?>
<html>
<head>
   <title>Ejercicio1 Cookies </title>
<?
echo '</head>';
if (isset($color)){
echo "<body bgcolor=$color >";}
else 
{echo '<body bgcolor=white>';}
?>

<p>
<form action="ejemplo1.php" method="post">
Elige un color de fondo:
<br>
<select name="color">
<option value="red">Rojo
<option value="blue">Azul
</select>
<input type="submit" value="Enviar">
</form>

</body>
</html> 
